import { PopoverConfig } from './popover.config';
import { IBsVersion } from '@pea11y/ngx-bootstrap/utils';
import { AvailbleBSPositions } from '@pea11y/ngx-bootstrap/positioning';
import * as i0 from "@angular/core";
export declare class PopoverContainerComponent {
    set placement(value: AvailbleBSPositions);
    title?: string;
    containerClass?: string;
    headingLevel?: number;
    _placement: string;
    get _bsVersions(): IBsVersion;
    constructor(config: PopoverConfig);
    checkMarginNecessity(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopoverContainerComponent, "popover-container", never, { "placement": "placement"; "title": "title"; }, {}, never, ["*"], false, never>;
}
